manual: Bump required gcc version to 4.1.